[ Developer / API Reference ]

API Reference

Complete reference for all LocaleNLP API endpoints. REST-based. JSON request and response. Bearer token authentication. Base URL: https://api.localenlp.com

10
Endpoints
50+
Languages
< 8ms
Avg. latency
99.9%
Uptime SLA
10 endpoints
SDKs

Client libraries

Python
pip install localenlp
JavaScript
npm install localenlp
Go
go get localenlp-go
Rust
cargo add localenlp
Authentication

Bearer token. One header.

All API requests must include your API key as a Bearer token in the Authorization header. Keys are scoped to project, rotatable, and audited in real-time.

Get your API key →
~/POST /api/v1/speech/recognize
curl https://api.localenlp.com/api/v1/speech/recognize \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{"audio_url":"...","language":"sw"}'
cURL